'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const typescript_ioc_1 = require("typescript-ioc");
const database_1 = require("../../database");
const swagger = require("typescript-rest-swagger");
let HealthCheck = class HealthCheck {
    async check() {
        try {
            await this.database.redisClient.ping();
            return 'OK';
        }
        catch (err) {
            throw new typescript_rest_1.Errors.InternalServerError();
        }
    }
};
__decorate([
    typescript_ioc_1.Inject,
    __metadata("design:type", database_1.Database)
], HealthCheck.prototype, "database", void 0);
__decorate([
    typescript_rest_1.GET,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], HealthCheck.prototype, "check", null);
HealthCheck = __decorate([
    typescript_rest_1.Path('healthcheck'),
    swagger.Tags('Miscellaneous')
], HealthCheck);
exports.HealthCheck = HealthCheck;
//# sourceMappingURL=health-check.js.map