/// <reference types="multer" />
import { Return } from 'typescript-rest';
export declare class MiddlewareRest {
    private service;
    filters(name?: string): Promise<Array<string>>;
    requestInterceptors(name?: string): Promise<Array<string>>;
    responseInterceptors(name?: string): Promise<Array<string>>;
    authStrategies(name?: string): Promise<Array<string>>;
    authVerify(name?: string): Promise<Array<string>>;
    throttlingKeyGenerator(name?: string): Promise<Array<string>>;
    throttlingHandler(name?: string): Promise<Array<string>>;
    throttlingSkip(name?: string): Promise<Array<string>>;
    circuitBreaker(name?: string): Promise<Array<string>>;
    corsOrigin(name?: string): Promise<Array<string>>;
    proxyRouter(name?: string): Promise<Array<string>>;
    serviceDiscovery(name?: string): Promise<Array<string>>;
    serviceDiscoveryProvider(name?: string): Promise<Array<string>>;
    errorHandler(name?: string): Promise<Array<string>>;
    requestLogger(name?: string): Promise<Array<string>>;
    removeFilter(name: string): Promise<void>;
    removeRequestInterceptor(name: string): Promise<void>;
    removeResponseInterceptor(name: string): Promise<void>;
    removeAuthStrategy(name: string): Promise<void>;
    removeAuthVerify(name: string): Promise<void>;
    removeThrottlingKeyGenerator(name: string): Promise<void>;
    removeThrottlingHandler(name: string): Promise<void>;
    removeThrottlingSkip(name: string): Promise<void>;
    removeCircuitBreaker(name: string): Promise<void>;
    removeCors(name: string): Promise<void>;
    removeProxyRouter(name: string): Promise<void>;
    removeServiceDiscovery(name: string): Promise<void>;
    removeServiceDiscoveryProvider(name: string): Promise<void>;
    removeErrorHandler(name: string): Promise<void>;
    removeRequestLogger(name: string): Promise<void>;
    updateFilter(name: string, file: Express.Multer.File): Promise<void>;
    updateRequestInterceptor(name: string, file: Express.Multer.File): Promise<void>;
    updateResponseInterceptor(name: string, file: Express.Multer.File): Promise<void>;
    updateAuthStrategy(name: string, file: Express.Multer.File): Promise<void>;
    updateAuthVerify(name: string, file: Express.Multer.File): Promise<void>;
    updateThrottlingKeyGenerator(name: string, file: Express.Multer.File): Promise<void>;
    updateThrottlingHandler(name: string, file: Express.Multer.File): Promise<void>;
    updateThrottlingSkip(name: string, file: Express.Multer.File): Promise<void>;
    updateCircuitBreaker(name: string, file: Express.Multer.File): Promise<void>;
    updateCors(name: string, file: Express.Multer.File): Promise<void>;
    updateProxyRouter(name: string, file: Express.Multer.File): Promise<void>;
    updateServiceDiscovery(name: string, file: Express.Multer.File): Promise<void>;
    updateServiceDiscoveryProvider(name: string, file: Express.Multer.File): Promise<void>;
    updateErrorHandler(name: string, file: Express.Multer.File): Promise<void>;
    updateRequestLogger(name: string, file: Express.Multer.File): Promise<void>;
    getFilter(name: string): Promise<Return.DownloadBinaryData>;
    getRequestInterceptor(name: string): Promise<Return.DownloadBinaryData>;
    getResponseInterceptor(name: string): Promise<Return.DownloadBinaryData>;
    getAuthStrategy(name: string): Promise<Return.DownloadBinaryData>;
    getAuthVerify(name: string): Promise<Return.DownloadBinaryData>;
    getThrottlingKeyGenerator(name: string): Promise<Return.DownloadBinaryData>;
    getThrottlingHandler(name: string): Promise<Return.DownloadBinaryData>;
    getThrottlingSkip(name: string): Promise<Return.DownloadBinaryData>;
    getCircuitBreakerMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getCorsMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getProxyRouterMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getServiceDiscoveryMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getServiceDiscoveryProviderMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getErrorHandlerMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    getRequestLoggerMiddleware(name: string): Promise<Return.DownloadBinaryData>;
    addFilter(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addRequestInterceptor(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addResponseInterceptor(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addAuthStrategy(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addAuthVerify(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addThrottlingKeyGenerator(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addThrottlingHander(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addThrottlingSkip(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addCircuitBreaker(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addCors(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addProxyRouter(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addServiceDiscovery(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addServiceDiscoveryProvider(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addErrorHandler(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    addRequestLogger(file: Express.Multer.File, name: string): Promise<Return.NewResource<void>>;
    private getMiddleware(type, name);
    private addMiddleware(type, file, name, basePath?);
    private saveMiddleware(type, file, name);
}
