'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
class ConfigClient {
    constructor(swaggerClient) {
        this.swaggerClient = swaggerClient;
    }
    async set(config) {
        const response = await utils_1.invoke(this.swaggerClient.apis.Config.ConfigPackageRestSet({ config }));
        utils_1.checkStatus(response, 204);
    }
    async get() {
        const response = await utils_1.invoke(this.swaggerClient.apis.Config.ConfigPackageRestGet({}));
        return utils_1.getResponseBody(response);
    }
}
exports.ConfigClient = ConfigClient;
//# sourceMappingURL=sdk-config-package.js.map