/// <reference types="node" />
export interface Middleware {
    filters(name?: string): Promise<Array<string>>;
    requestInterceptors(name?: string): Promise<Array<string>>;
    responseInterceptors(name?: string): Promise<Array<string>>;
    authStrategies(name?: string): Promise<Array<string>>;
    authVerify(name?: string): Promise<Array<string>>;
    throttlingKeyGenerator(name?: string): Promise<Array<string>>;
    throttlingHandler(name?: string): Promise<Array<string>>;
    throttlingSkip(name?: string): Promise<Array<string>>;
    circuitBreaker(name?: string): Promise<Array<string>>;
    corsOrigin(name?: string): Promise<Array<string>>;
    proxyRouter(name?: string): Promise<Array<string>>;
    serviceDiscovery(name?: string): Promise<Array<string>>;
    serviceDiscoveryProvider(name?: string): Promise<Array<string>>;
    errorHandler(name?: string): Promise<Array<string>>;
    requestLogger(name?: string): Promise<Array<string>>;
    removeFilter(name: string): Promise<void>;
    removeRequestInterceptor(name: string): Promise<void>;
    removeResponseInterceptor(name: string): Promise<void>;
    removeAuthStrategy(name: string): Promise<void>;
    removeAuthVerify(name: string): Promise<void>;
    removeThrottlingKeyGenerator(name: string): Promise<void>;
    removeThrottlingHandler(name: string): Promise<void>;
    removeThrottlingSkip(name: string): Promise<void>;
    removeCircuitBreaker(name: string): Promise<void>;
    removeCors(name: string): Promise<void>;
    removeProxyRouter(name: string): Promise<void>;
    removeServiceDiscovery(name: string): Promise<void>;
    removeServiceDiscoveryProvider(name: string): Promise<void>;
    removeErrorHandler(name: string): Promise<void>;
    removeRequestLogger(name: string): Promise<void>;
    updateFilter(name: string, fileName: string): Promise<void>;
    updateRequestInterceptor(name: string, fileName: string): Promise<void>;
    updateResponseInterceptor(name: string, fileName: string): Promise<void>;
    updateAuthStrategy(name: string, fileName: string): Promise<void>;
    updateAuthVerify(name: string, fileName: string): Promise<void>;
    updateThrottlingKeyGenerator(name: string, fileName: string): Promise<void>;
    updateThrottlingHandler(name: string, fileName: string): Promise<void>;
    updateThrottlingSkip(name: string, fileName: string): Promise<void>;
    updateCircuitBreaker(name: string, fileName: string): Promise<void>;
    updateCors(name: string, fileName: string): Promise<void>;
    updateProxyRouter(name: string, fileName: string): Promise<void>;
    updateServiceDiscovery(name: string, fileName: string): Promise<void>;
    updateServiceDiscoveryProvider(name: string, fileName: string): Promise<void>;
    updateErrorHandler(name: string, fileName: string): Promise<void>;
    updateRequestLogger(name: string, fileName: string): Promise<void>;
    addFilter(name: string, fileName: string): Promise<void>;
    addRequestInterceptor(name: string, fileName: string): Promise<void>;
    addResponseInterceptor(name: string, fileName: string): Promise<void>;
    addAuthStrategy(name: string, fileName: string): Promise<void>;
    addAuthVerify(name: string, fileName: string): Promise<void>;
    addThrottlingKeyGenerator(name: string, fileName: string): Promise<void>;
    addThrottlingHandler(name: string, fileName: string): Promise<void>;
    addThrottlingSkip(name: string, fileName: string): Promise<void>;
    addCircuitBreaker(name: string, fileName: string): Promise<void>;
    addCors(name: string, fileName: string): Promise<void>;
    addProxyRouter(name: string, fileName: string): Promise<void>;
    addServiceDiscovery(name: string, fileName: string): Promise<void>;
    addServiceDiscoveryProvider(name: string, fileName: string): Promise<void>;
    addErrorHandler(name: string, fileName: string): Promise<void>;
    addRequestLogger(name: string, fileName: string): Promise<void>;
    getFilter(name: string): Promise<Buffer>;
    getRequestInterceptor(name: string): Promise<Buffer>;
    getResponseInterceptor(name: string): Promise<Buffer>;
    getAuthStrategy(name: string): Promise<Buffer>;
    getAuthVerify(name: string): Promise<Buffer>;
    getThrottlingKeyGenerator(name: string): Promise<Buffer>;
    getThrottlingHandler(name: string): Promise<Buffer>;
    getThrottlingSkip(name: string): Promise<Buffer>;
    getCircuitBreaker(name: string): Promise<Buffer>;
    getCors(name: string): Promise<Buffer>;
    getProxyRouter(name: string): Promise<Buffer>;
    getServiceDiscovery(name: string): Promise<Buffer>;
    getServiceDiscoveryProvider(name: string): Promise<Buffer>;
    getErrorHandler(name: string): Promise<Buffer>;
    getRequestLogger(name: string): Promise<Buffer>;
}
export declare class MiddlewareClient implements Middleware {
    private swaggerClient;
    private authToken;
    private middlewareRequest;
    constructor(swaggerClient: any, authToken: string);
    filters(name?: string): Promise<Array<string>>;
    requestInterceptors(name?: string): Promise<Array<string>>;
    responseInterceptors(name?: string): Promise<Array<string>>;
    authStrategies(name?: string): Promise<Array<string>>;
    authVerify(name?: string): Promise<Array<string>>;
    throttlingKeyGenerator(name?: string): Promise<Array<string>>;
    throttlingHandler(name?: string): Promise<Array<string>>;
    throttlingSkip(name?: string): Promise<Array<string>>;
    circuitBreaker(name?: string): Promise<Array<string>>;
    corsOrigin(name?: string): Promise<Array<string>>;
    proxyRouter(name?: string): Promise<Array<string>>;
    serviceDiscovery(name?: string): Promise<Array<string>>;
    serviceDiscoveryProvider(name?: string): Promise<Array<string>>;
    errorHandler(name?: string): Promise<Array<string>>;
    requestLogger(name?: string): Promise<Array<string>>;
    removeFilter(name: string): Promise<void>;
    removeRequestInterceptor(name: string): Promise<void>;
    removeResponseInterceptor(name: string): Promise<void>;
    removeAuthStrategy(name: string): Promise<void>;
    removeAuthVerify(name: string): Promise<void>;
    removeThrottlingKeyGenerator(name: string): Promise<void>;
    removeThrottlingHandler(name: string): Promise<void>;
    removeThrottlingSkip(name: string): Promise<void>;
    removeCircuitBreaker(name: string): Promise<void>;
    removeCors(name: string): Promise<void>;
    removeProxyRouter(name: string): Promise<void>;
    removeServiceDiscovery(name: string): Promise<void>;
    removeServiceDiscoveryProvider(name: string): Promise<void>;
    removeErrorHandler(name: string): Promise<void>;
    removeRequestLogger(name: string): Promise<void>;
    updateFilter(name: string, fileName: string): Promise<void>;
    updateRequestInterceptor(name: string, fileName: string): Promise<void>;
    updateResponseInterceptor(name: string, fileName: string): Promise<void>;
    updateAuthStrategy(name: string, fileName: string): Promise<void>;
    updateAuthVerify(name: string, fileName: string): Promise<void>;
    updateThrottlingKeyGenerator(name: string, fileName: string): Promise<void>;
    updateThrottlingHandler(name: string, fileName: string): Promise<void>;
    updateThrottlingSkip(name: string, fileName: string): Promise<void>;
    updateCircuitBreaker(name: string, fileName: string): Promise<void>;
    updateCors(name: string, fileName: string): Promise<void>;
    updateProxyRouter(name: string, fileName: string): Promise<void>;
    updateServiceDiscovery(name: string, fileName: string): Promise<void>;
    updateServiceDiscoveryProvider(name: string, fileName: string): Promise<void>;
    updateErrorHandler(name: string, fileName: string): Promise<void>;
    updateRequestLogger(name: string, fileName: string): Promise<void>;
    addFilter(name: string, fileName: string): Promise<void>;
    addRequestInterceptor(name: string, fileName: string): Promise<void>;
    addResponseInterceptor(name: string, fileName: string): Promise<void>;
    addAuthStrategy(name: string, fileName: string): Promise<void>;
    addAuthVerify(name: string, fileName: string): Promise<void>;
    addThrottlingKeyGenerator(name: string, fileName: string): Promise<void>;
    addThrottlingHandler(name: string, fileName: string): Promise<void>;
    addThrottlingSkip(name: string, fileName: string): Promise<void>;
    addCircuitBreaker(name: string, fileName: string): Promise<void>;
    addCors(name: string, fileName: string): Promise<void>;
    addProxyRouter(name: string, fileName: string): Promise<void>;
    addServiceDiscovery(name: string, fileName: string): Promise<void>;
    addServiceDiscoveryProvider(name: string, fileName: string): Promise<void>;
    addErrorHandler(name: string, fileName: string): Promise<void>;
    addRequestLogger(name: string, fileName: string): Promise<void>;
    getFilter(name: string): Promise<Buffer>;
    getRequestInterceptor(name: string): Promise<Buffer>;
    getResponseInterceptor(name: string): Promise<Buffer>;
    getAuthStrategy(name: string): Promise<Buffer>;
    getAuthVerify(name: string): Promise<Buffer>;
    getThrottlingKeyGenerator(name: string): Promise<Buffer>;
    getThrottlingHandler(name: string): Promise<Buffer>;
    getThrottlingSkip(name: string): Promise<Buffer>;
    getCircuitBreaker(name: string): Promise<Buffer>;
    getCors(name: string): Promise<Buffer>;
    getProxyRouter(name: string): Promise<Buffer>;
    getServiceDiscovery(name: string): Promise<Buffer>;
    getServiceDiscoveryProvider(name: string): Promise<Buffer>;
    getErrorHandler(name: string): Promise<Buffer>;
    getRequestLogger(name: string): Promise<Buffer>;
    private getStream(fileName);
    private installMiddleware(servicePath, filePath, name);
    private updateMiddleware(servicePath, filePath, name);
}
