import { Apis } from './sdk-apis';
import { Config } from './sdk-config-package';
import { Users } from './sdk-users';
import { Gateway } from './sdk-gateway';
import { Middleware } from './sdk-middleware';
export interface SDKOptions {
    swaggerUrl: string;
    token: string;
    defaultHost?: string;
}
export declare class SDK {
    private apisClient;
    private gatewayClient;
    private middlewareClient;
    private usersClient;
    private configClient;
    private constructor();
    static initialize(options: SDKOptions): Promise<SDK>;
    readonly apis: Apis;
    readonly config: Config;
    readonly gateway: Gateway;
    readonly middleware: Middleware;
    readonly users: Users;
}
