'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const argparse_1 = require("argparse");
const configuration_1 = require("./configuration");
const packageJson = require('../package.json');
const parser = new argparse_1.ArgumentParser({
    addHelp: true,
    description: 'Tree-Gateway',
    version: packageJson.version
});
parser.addArgument(['-c', '--config'], {
    help: 'The Tree-Gateway config file (tree-gateway.yaml).'
});
parser.addArgument(['-i', '--instances'], {
    defaultValue: 1,
    help: 'The number of instances to start (0 = all cpus cores)',
    type: 'int'
});
parser.addArgument(['-r', '--reset'], {
    constant: true,
    defaultValue: false,
    help: 'Before start the gateway, reset all configurations.',
    nargs: '?'
});
const parameters = parser.parseArgs();
configuration_1.Configuration.gatewayConfigFile = parameters.config;
configuration_1.Configuration.resetBeforeStart = parameters.reset;
configuration_1.Configuration.instances = parameters.instances;
//# sourceMappingURL=command-line.js.map