'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const users_1 = require("./users");
const logger_1 = require("./logger");
const protocol_1 = require("./protocol");
const cors_1 = require("./cors");
const middleware_1 = require("./middleware");
exports.adminConfigValidatorSchema = Joi.object().keys({
    accessLogger: logger_1.accessLoggerConfigSchema,
    apiDocs: Joi.object().keys({
        host: Joi.string(),
        path: Joi.string().required()
    }),
    cors: cors_1.corsConfigSchema,
    filter: Joi.alternatives([Joi.array().items(middleware_1.middlewareConfigValidatorSchema), middleware_1.middlewareConfigValidatorSchema]),
    protocol: protocol_1.protocolConfigSchema.required(),
    userService: users_1.usersConfigValidatorSchema.required()
});
//# sourceMappingURL=admin.js.map