'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const clientCacheValidatorSchema = Joi.object().keys({
    cacheControl: Joi.string().valid('public', 'private', 'no-cache', 'no-store'),
    cacheTime: Joi.alternatives([Joi.string(), Joi.number().positive()]).required(),
    mustRevalidate: Joi.boolean(),
    noTransform: Joi.boolean(),
    proxyRevalidate: Joi.boolean()
});
const serverCacheValidatorSchema = Joi.object().keys({
    binary: Joi.boolean(),
    cacheTime: Joi.alternatives([Joi.string(), Joi.number().positive()]).required(),
    preserveHeaders: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()])
});
exports.cacheConfigValidatorSchema = Joi.object().keys({
    client: clientCacheValidatorSchema,
    server: serverCacheValidatorSchema
});
exports.apiCacheConfigValidatorSchema = exports.cacheConfigValidatorSchema.keys({
    group: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    use: Joi.string()
});
//# sourceMappingURL=cache.js.map