import * as Joi from 'joi';
import { GatewayConfig } from './gateway';
import { ApiConfig } from './api';
/**
 * The Server config descriptor.
 */
export interface ConfigPackage {
    /**
     * The gateway configuration.
     */
    gateway?: GatewayConfig;
    /**
     * Configurations for apis.
     */
    apis?: Array<ApiConfig>;
    /**
     * Configurations for middlewares.
     */
    middlewares?: Array<MiddlewareConfig>;
}
export interface MiddlewareConfig {
    id?: string;
    middleware: string;
    name?: string;
    content: string;
}
export declare let configPackageValidatorSchema: Joi.ObjectSchema;
export declare function validateConfigPackage(configPackage: ConfigPackage): Promise<{}>;
