'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const middleware_1 = require("./middleware");
const corsOriginConfigSchema = Joi.object().keys({
    regexp: Joi.string(),
    value: Joi.string()
}).min(1).max(1);
const corsOriginSchema = Joi.object().keys({
    allow: Joi.array().items(corsOriginConfigSchema.min(1)),
    disableAll: Joi.boolean(),
    enableAll: Joi.boolean(),
    middleware: middleware_1.middlewareConfigValidatorSchema
}).min(1).max(1);
const methodValidator = Joi.string().valid('GET', 'POST', 'PUT', 'DELETE', 'PATCH', 'HEAD');
exports.corsConfigSchema = Joi.object().keys({
    allowedHeaders: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    credentials: Joi.boolean(),
    exposedHeaders: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    maxAge: Joi.string(),
    method: Joi.alternatives([Joi.array().items(methodValidator), methodValidator]),
    origin: corsOriginSchema.required(),
    preflightContinue: Joi.boolean()
});
exports.apiCorsConfigSchema = exports.corsConfigSchema.keys({
    group: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    origin: corsOriginSchema,
    use: Joi.string()
}).xor('origin', 'use');
//# sourceMappingURL=cors.js.map