'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const redisNodeSchema = Joi.object().keys({
    host: Joi.string().required(),
    password: Joi.string(),
    port: Joi.alternatives([Joi.string(), Joi.number().positive()])
});
exports.redisConfigSchema = Joi.object().keys({
    cluster: Joi.alternatives([Joi.array().items(redisNodeSchema), redisNodeSchema]),
    options: Joi.object().keys({
        connectionName: Joi.string(),
        db: Joi.number().positive(),
        keyPrefix: Joi.string(),
        password: Joi.string()
    }),
    sentinel: Joi.object().keys({
        name: Joi.string().required(),
        nodes: Joi.alternatives([Joi.array().items(redisNodeSchema), redisNodeSchema]).required()
    }),
    standalone: redisNodeSchema
}).xor('standalone', 'sentinel', 'cluster');
exports.databaseSchema = Joi.object().keys({
    redis: exports.redisConfigSchema.required()
});
//# sourceMappingURL=database.js.map