import * as Joi from 'joi';
/**
 * Configurations for groups of endpoints.
 */
export interface Group {
    /**
     * The Group identifier. Used to identify the Group on admin console.
     */
    id: string;
    /**
     * An optional description for the group.
     */
    description?: string;
    /**
     * A list of group members.
     */
    member: Array<Member>;
}
export interface Member {
    path?: Array<string>;
    method?: Array<string>;
    protocol?: Array<string>;
}
export declare const groupValidatorSchema: Joi.ObjectSchema;
