'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const methodValidator = Joi.string().valid('GET', 'POST', 'PUT', 'DELETE', 'PATCH', 'OPTIONS', 'HEAD');
const pathString = Joi.string().regex(/^!?[A-Za-z\-\/0-9_\.\*]+$/i);
const memberValidatorSchema = Joi.object().keys({
    method: Joi.alternatives([Joi.array().items(methodValidator), methodValidator]),
    path: Joi.alternatives([Joi.array().items(pathString), pathString]),
    protocol: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
}).min(1);
exports.groupValidatorSchema = Joi.object().keys({
    description: Joi.string(),
    id: Joi.string().min(1).required(),
    member: Joi.alternatives([Joi.array().items(memberValidatorSchema), memberValidatorSchema]).required()
});
//# sourceMappingURL=group.js.map