'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const errors_1 = require("./errors");
const jsonataExpressionSchema = Joi.object().keys({
    expression: Joi.string().required()
});
function validateJsonAtaExpression(config) {
    const result = Joi.validate(config, jsonataExpressionSchema);
    if (result.error) {
        throw new errors_1.ValidationError(result.error);
    }
    else {
        return result.value;
    }
}
exports.validateJsonAtaExpression = validateJsonAtaExpression;
//# sourceMappingURL=jsonata.js.map