import * as Joi from 'joi';
export interface UserData {
    /**
     * User name
     */
    name: string;
    /**
     * User login
     */
    login: string;
    /**
     * The user password
     */
    password: string;
    /**
     * The user email
     */
    email?: string;
    /**
     * The user roles
     */
    roles?: Array<string>;
}
export interface UsersConfig {
    jwtSecret: string;
}
export declare const userValidatorSchema: Joi.ObjectSchema;
export declare const usersConfigValidatorSchema: Joi.ObjectSchema;
export declare function validateUser(user: UserData): Promise<{}>;
