/// <reference types="node" />
/// <reference types="express" />
import * as express from 'express';
import { ApiConfig } from './config/api';
import { EventEmitter } from 'events';
export declare class Gateway extends EventEmitter {
    private config;
    private logger;
    private requestLogger;
    private configService;
    private serviceDiscovery;
    private apiPipeline;
    private app;
    private adminApp;
    private apiServer;
    private adminServer;
    private serverRunning;
    constructor();
    readonly server: express.Application;
    readonly apis: Array<ApiConfig>;
    readonly running: boolean;
    getApiConfig(apiId: string): ApiConfig;
    start(): Promise<void>;
    startAdmin(): Promise<void>;
    stop(): Promise<void>;
    stopAdmin(): Promise<void>;
    restart(): Promise<void>;
    private createHttpsServer(app);
    private loadApis();
    private reloadApis();
    private updateConfig(packageId, needsReload);
    private initialize();
    private configureServer();
    private configureHealthcheck();
    private configureAdminServer();
    private configureAdminCors();
    private configureApiDocs();
}
