'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const logger_1 = require("../../logger");
const typescript_ioc_1 = require("typescript-ioc");
const time_intervals_1 = require("../../utils/time-intervals");
let ClientCache = class ClientCache {
    buildCacheMiddleware(clientCache, path) {
        const func = new Array();
        const cacheControl = this.cacheHeaderString(clientCache);
        if (this.logger.isDebugEnabled()) {
            this.logger.debug(`Configuring Client Cache for path [${path}].`);
        }
        func.push(`onHeaders(res, function(){`);
        func.push(`res.set('Cache-Control', '${cacheControl}');`);
        func.push(`});`);
        return func.join('');
    }
    cacheHeaderString(cache) {
        const cacheConfig = _.defaults(cache, {
            cacheControl: 'public',
            cacheTime: '0'
        });
        const cacheTime = (time_intervals_1.getMilisecondsInterval(cacheConfig.cacheTime) / 1000);
        const result = new Array();
        if (cacheTime > 0) {
            result.push(cacheConfig.cacheControl);
            if (cacheConfig.mustRevalidate) {
                result.push(`,must-revalidate`);
            }
            if (cacheConfig.noTransform) {
                result.push(`,no-transform`);
            }
            if (cacheConfig.proxyRevalidate) {
                result.push(`,proxy-revalidate`);
            }
            if (cacheConfig.cacheControl !== `no-store`) {
                result.push(`,max-age=${cacheTime}`);
            }
        }
        else {
            result.push(`no-store`);
        }
        return result.join('');
    }
};
__decorate([
    typescript_ioc_1.Inject,
    __metadata("design:type", logger_1.Logger)
], ClientCache.prototype, "logger", void 0);
ClientCache = __decorate([
    typescript_ioc_1.AutoWired
], ClientCache);
exports.ClientCache = ClientCache;
//# sourceMappingURL=client-cache.js.map