/// <reference types="express" />
import { ApiPipelineConfig } from '../../config/gateway';
import { ApiConfig } from '../../config/api';
import * as express from 'express';
export declare class ApiCircuitBreaker {
    private logger;
    private middlewareLoader;
    private requestLogger;
    private activeBreakers;
    circuitBreaker(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    onStateChanged(id: string, state: string): void;
    removeAllBreakers(): void;
    private resolveReferences(circuitBreaker, pipelineConfig);
    private configureCircuitBreakerEventListeners(breakerInfo, path, config, api);
    private setupMiddlewares(apiRouter, breakerInfos);
    private buildMiddleware(breakerInfo);
    private sortBreakers(breakers, path);
    private addStopListeners();
}
