/// <reference types="express" />
import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
import { MiddlewareConfig } from '../../config/middleware';
export declare class ApiFilter {
    private middlewareLoader;
    private logger;
    buildApiFilters(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    buildGatewayFilters(apiRouter: express.Router, filters: Array<MiddlewareConfig>): void;
    private buildCustomFilters(apiRouter, api, pipelineConfig);
    private resolveReferences(filter, pipelineConfig);
    private buildAllowFilter(apiRouter, api);
    private buildDenyFilter(apiRouter, api);
    private hasCustomFilter(api);
}
