'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js = require("xml2js");
module.exports = function (config) {
    const builder = new xml2js.Builder();
    return (req) => {
        const result = {};
        try {
            let body = req.body;
            if (req.body && typeof req.body === 'string' || Buffer.isBuffer(req.body)) {
                body = JSON.parse(req.body.toString());
            }
            result.body = builder.buildObject(body);
        }
        catch (e) {
            result.body = '';
        }
        return result;
    };
};
module.exports.factory = true;
//# sourceMappingURL=requestXml.js.map