'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const jsonata_1 = require("../../../config/jsonata");
const jsonata = require('jsonata');
module.exports = function (config) {
    jsonata_1.validateJsonAtaExpression(config);
    const expression = jsonata(config.expression);
    return async (body, headers, request) => {
        let bodyData = body;
        if (typeof bodyData === 'string' || Buffer.isBuffer(bodyData)) {
            bodyData = JSON.parse(bodyData.toString());
        }
        const result = expression.evaluate(bodyData);
        return { body: result };
    };
};
module.exports.factory = true;
//# sourceMappingURL=responseBodyTransformer.js.map