/// <reference types="express" />
import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
/**
 * The API Proxy system. It uses [[http-proxy]](https://github.com/nodejitsu/node-http-proxy)
 * to proxy requests to a target API.
 */
export declare class ApiProxy {
    private interceptor;
    private logger;
    private middlewareLoader;
    private serviceDiscovery;
    private requestLogger;
    /**
     * Configure a proxy for a given API
     */
    proxy(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    configureProxyHeader(apiRouter: express.Router, api: ApiConfig): void;
    private getHttpAgent(api);
    private configureProxy(api, pipelineConfig);
    private handleResponseInterceptor(api, proxy, responseInterceptor);
    private buildRouterMiddleware(apiRouter, api);
    private buildServiceDiscoveryMiddleware(apiRouter, api);
}
