/// <reference types="express" />
import { Request } from 'express';
import { ApiConfig } from '../../config/api';
export interface RequestLog {
    authentication?: string;
    apiId: string;
    body?: any;
    cache?: string;
    circuitbreaker?: string;
    error?: string;
    headers?: {
        [index: string]: {
            header: string;
        };
    };
    ip: string;
    method: string;
    path: string;
    proxyTime: number;
    responseTime: number;
    status: number;
    timestamp: number;
    throttling?: string;
}
export declare class RequestLogger {
    private config;
    private middlewareLoader;
    private requestLogHandler;
    initialize(): void;
    isRequestLogEnabled(api: ApiConfig): boolean;
    isGatewayRequestLogEnabled(): boolean;
    getRequestLog(req: Request): RequestLog;
    initRequestLog(req: Request, api: ApiConfig): RequestLog;
    registerOccurrence(requestLog: RequestLog): void;
    private getRequestLogMiddleware();
}
