import { ConfigPackage } from '../config/config-package';
export declare abstract class ConfigPackageService {
    abstract set(config: ConfigPackage): Promise<void>;
    abstract get(): Promise<ConfigPackage>;
}
export declare class ConfigPackageServiceImpl implements ConfigPackageService {
    private apiService;
    private gatewayService;
    private middlewareService;
    /**
     * Apply a config package to this Gateway
     * @param config The config package to apply
     */
    set(config: ConfigPackage): Promise<void>;
    /**
     * Export all gateway configurations to a new config package.
     * @return The generated config package
     */
    get(): Promise<ConfigPackage>;
    private getMiddlewares();
    private getMiddlewaresByType(middleware, names);
    private setApisAndGateway(config);
}
