import { ApiService } from '../api';
import { ApiConfig } from '../../config/api';
export declare class RedisApiService implements ApiService {
    private database;
    list(name?: string, version?: string | number, description?: string, path?: string): Promise<Array<ApiConfig>>;
    get(id: string): Promise<ApiConfig>;
    create(api: ApiConfig): Promise<string>;
    update(api: ApiConfig, upsert?: boolean): Promise<void>;
    remove(id: string): Promise<void>;
    private ensureAPICreateConstraints(api);
    private ensureAPIUpdateConstraints(api, upsert?);
    /**
     * This function cast all array properties inside api configuration to array.
     * It is used to allow user to configure array properties as a single item too.
     * @param api API configuration
     */
    private castArrays(api);
}
